Subject: Re: [PATCH v2 11/11] vcs-svn,svn-fe: add an option to write svnrev notes

From: Jonathan Nieder <[email-masked]>
Date: Thu, 28 Jul 2011 12:27:29 +0200

Dmitry Ivankov wrote:
> On Tue, Jul 26, 2011 at 3:39 AM, Jonathan Nieder <[email-masked]> wrote:

>>        --notes-ref=refs/notes/svn-rev --note='project foo, r%N'
>>
>> As a bonus, that would allow including more information using
>> different flag characters in the note in the future.
>
> Format string looks nice.

Yes, it sounds pleasant to work with to me.  Open questions:

 - how fine-grained should the notes commits be?  E.g., should they
   be written one at a time, in batches of 10, or something else?

 - is there a way to make some commits get no note at all?  Is this
   template-based approach the right way to go?  (I guess yes, it is.)

 - what if someone wants multiple notes refs (e.g., revision numbers
   and revprops in separate notes refs)?  Will this support that?  If
   not, is it extensible enough to sensibly support that in the
   future?

[...]
> One more consideration is that copy-from information most likely
> will be written by svn-fe (nothing else knows it anyway) to some
> notes, so we'll need some notes writing in svn-fe.

Yep, copyfrom info has to get downstream somehow.  Which means

   a. in log messages
   b. in notes
   c. in comments or "progress" lines in the stream, or
or d. in a second output stream, with file descriptor number specified
      by the caller.

I was leaning towards (a) or (c), but (b) certainly also seems
sensible.